### Enumeration

# Qmi WmsGsmUmtsTpCause

since: 1.0

#### Declaration

    enum Qmi.WmsGsmUmtsTpCause

#### Description [src]

RT cause codes when failed to send an SMS in GSM/WCDMA.

Available since: 1.0

#### Members

`QMI_WMS_GSM_UMTS_TP_CAUSE_TELE_INTERWORKING_NOT_SUPPORTED`

  Tele interworking not supported.

  - Value: `128`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_SHORT_MESSAGE_TYPE_0_NOT_SUPPORTED`

  Short message type 0 not supported.

  - Value: `129`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_SHORT_MESSAGE_CANNOT_BE_REPLACED`

  Short message cannot be replaced.

  - Value: `130`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_UNSPECIFIED_PID_ERROR`

  Unspecified TP-PID error.

  - Value: `143`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_DCS_NOT_SUPPORTED`

  Data coding scheme not supported.

  - Value: `144`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_MESSAGE_CLASS_NOT_SUPPORTED`

  Message class not supported.

  - Value: `145`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_UNSPECIFIED_DCS_ERROR`

  Unspecified data coding scheme error.

  - Value: `159`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_COMMAND_CANNOT_BE_ACTIONED`

  Command cannot be actioned.

  - Value: `160`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_COMMAND_UNSUPPORTED`

  Command unsupported.

  - Value: `161`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_UNSPECIFIED_COMMAND_ERROR`

  Unspecified command error.

  - Value: `175`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_TPDU_NOT_SUPPORTED`

  TPDU not supported.

  - Value: `176`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_SC_BUSY`

  SC busy.

  - Value: `192`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_NO_SC_SUBSCRIPTION`

  No SC subscription.

  - Value: `193`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_SC_SYSTEM_FAILURE`

  SC system failure.

  - Value: `194`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_INVALID_SME_ADDRESS`

  Invalid SME address.

  - Value: `195`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_DESTINATION_SME_BARRED`

  Destination SME barred.

  - Value: `196`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_SM_REJECTED_OR_DUPLICATE`

  SM rejected or duplicate.

  - Value: `197`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_VPF_NOT_SUPPORTED`

  TP-VPF not supported.

  - Value: `198`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_VP_NOT_SUPPORTED`

  TP-VP not supported.

  - Value: `199`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_SIM_SMS_STORAGE_FULL`

  SIM SMS storage full.

  - Value: `208`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_NO_SMS_STORAGE_CAPABILITY_IN_SIM`

  No SMS storage capability in SIM.

  - Value: `209`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_MS_ERROR`

  MS error.

  - Value: `210`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_MEMORY_CAPACITY_EXCEEDED`

  Memory capacity exceeded.

  - Value: `211`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_SIM_APPLICATION_TOOLKIT_BUSY`

  SIM application toolkit busy.

  - Value: `212`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_SIM_DATA_DOWNLOAD_ERROR`

  SIM data download error.

  - Value: `213`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_TP_CAUSE_UNSPECIFIED_ERROR`

  Unspecified error.

  - Value: `255`
  - Available since: 1.0

#### Type functions

###### qmi_wms_gsm_umts_tp_cause_get_string

Gets the nickname string for the `QmiWmsGsmUmtsTpCause` specified at `val`.

since: 1.0